AutoCad - Seleccionar objetos del espacio papel desde el espacio modelo

   
Vista:

Seleccionar objetos del espacio papel desde el espacio modelo

Publicado por Infima (2 intervenciones) el 24/06/2016 10:00:43
Hola buenas
Os cuento: Tengo una serie de presentaciones creadas en espacio papel (21 en concreto) y en cada una de esas presentaciones tengo insertada como referencia externa un cajetín, que está en la capa "cajetín". Resulta que quiero cambiar la capa de todas las presentaciones de la referencia cajetín.
Hago lo siguiente: comando filter en el espacio modelo, selecciono nombre de bloque cajetín, selecciono todo, me indica que se han seleccionado 21 objeto, saliendo de la selección filtrada y no me deja hacer nada. La única manera que he encontrado es ir presentación a presentación cambiando la capa.
¿Alguien me puede ayudar? por favor
GRACIAS
Valora esta pregunta
Me gusta: Está pregunta es útil y esta claraNo me gusta: Está pregunta no esta clara o no es útil
0
Responder

Seleccionar objetos del espacio papel desde el espacio modelo

Publicado por Gerardo (443 intervenciones) el 24/06/2016 19:48:52
Hasta donde yo conozco el AutoCad, desde un espacio no puedes seleccionar objetos que estan en otro a traves de comandos de usuario (filter, qselect, pselect, etc)

En este caso creo que la tienes facil porque el filtro es solo por capa (segun entiendo quieres cambiar de capa todo lo que esta en la capa cajetin), asi es que si mezclas la capa "cajetin" en la nueva capa, (comando laymerge o click derecho sobre "cajetin" en el administrador de capas y opcion "merge selected layers to...") todos tus cajetines cambiaran automaticamente a la nueva capa. Obviamente la capa cajetin desaparecerá pero si luego la ocupas la creas de vuelta o la jalas con el design center (ctrl+2) y ya.

Otra forma es con algo de programación (pero solo si sabes programar)
Por ejemplo, en tu archivo prueba a pegar lo siguiente (completo y exacto) en la linea de comandos y le das intro
1
2
3
4
5
6
7
8
9
10
11
12
(repeat
	(sslength
		(setq new (cons 8 (getstring "\nNombre de la nueva capa para cajetines:" t))
				i 0
				ss (ssget "X" '(0 . "INSERT")(8 . "Cajetin"))
		)
	)
	(setq lent (entget (ssname ss i))
			i (1+ i)
	)
	(entmod (subst new (assoc 8 lent) lent))
)
Solo asegurate de que haya al menos un bloque o xref en la capa "Cajetin" y que escribas correctamente el nombre de la nueva capa cuando se te pregunte. esto cambiará de capa todos tus cajetines tal y como lo pretendias hacer con el filtro
Valora esta respuesta
Me gusta: Está respuesta es útil y esta claraNo me gusta: Está respuesta no esta clara o no es útil
0
Comentar

Seleccionar objetos del espacio papel desde el espacio modelo

Publicado por Infima (2 intervenciones) el 27/06/2016 17:58:44
Gracias. Ya lo he conseguido. En el autocad 2008 si que se puede seleccionar objetos desde otro espacio
Valora esta respuesta
Me gusta: Está respuesta es útil y esta claraNo me gusta: Está respuesta no esta clara o no es útil
0
Comentar

Seleccionar objetos del espacio papel desde el espacio modelo

Publicado por Fer (1 intervención) el 07/11/2016 20:19:59
Sería un detalle por tu parte de que compartieras la información. Gracias
Valora esta respuesta
Me gusta: Está respuesta es útil y esta claraNo me gusta: Está respuesta no esta clara o no es útil
0
Comentar